# ViewData.py

from gpanel import *
from mbm import *

makeGPanel(-1, 11, -100, 1300)
drawGrid(0, 10.0, 0, 1200, 'darkgray')
title('Extracting data...')
extract('data.log')
title('Acceleration versus Time')
with open('data.log') as f:
    data = f.read()
lines = data.split('\n')
lineWidth(2)
i = 0
for line in lines:
    z = line.split(';')
    if z == ['']:
        break
    t = float(z[0])
    v = float(z[1])
    if i == 0:
         pos(t, v)
    else:
         draw(t, v)
    i += 1